#ifndef __CCU_H__
#define __CCU_H__

#include <stdint.h>

#define FLASH_SIZE 3
#define NTC_N 0
#define MOTOR_STATE 1
#define FLOW_STATE 2

#ifdef LEFT

#define CMD_CCU_SET_FANS CMD_CCU_LEFT_SET_FANS_LEFT
#define DEVICE_ID_CCU DEVICE_ID_CCU_LEFT
#define CMD_CCU_SET_FANS CMD_CCU_LEFT_SET_FANS_LEFT
#define CMD_CCU_SET_NTCS CMD_CCU_LEFT_SET_NTCS_LEFT
#define CMD_CCU_SET_PWM CMD_CCU_LEFT_SET_PWM_LEFT
#define CMD_CCU_SET_FLOW CMD_CCU_LEFT_SET_FLOW_LEFT
#define CFG_CCU_SIZE CFG_CCU_LEFT_SIZE

#else

#define CMD_CCU_SET_FANS CMD_CCU_RIGHT_SET_FANS_RIGHT
#define DEVICE_ID_CCU DEVICE_ID_CCU_RIGHT
#define CMD_CCU_SET_FANS CMD_CCU_RIGHT_SET_FANS_RIGHT
#define CMD_CCU_SET_NTCS CMD_CCU_RIGHT_SET_NTCS_RIGHT
#define CMD_CCU_SET_PWM CMD_CCU_RIGHT_SET_PWM_RIGHT
#define CMD_CCU_SET_FLOW CMD_CCU_RIGHT_SET_FLOW_RIGHT
#define CFG_CCU_SIZE CFG_CCU_RIGHT_SIZE

#endif

void ccu_init(void);

#endif
